package com.me.asteroids;

import com.me.common.Random;

public final class Constants {

    public static final boolean DEBUG = false;

    public static final Random rand = new Random();

    public static final float ASTEROID_SPAWN_DELAY = 1f;
    public static final int ASTEROID_SPAWN_COUNT = 4;
    public static final int NEW_LIFE_SCORE = 10000;

    public static int SCREEN_WIDTH;
    public static int SCREEN_HEIGHT;

    public static final float HEIGHT = 10f;
    public static float WIDTH;

    public static final float HALF_HEIGHT = HEIGHT / 2;
    public static float HALF_WIDTH;

    public static float getUIWidth() {
        return SCREEN_WIDTH * getUIScale();
    }

    public static float getUIHeight() {
        return SCREEN_HEIGHT * getUIScale();
    }

    public static float getHalfUIWidth() {
        return getUIWidth() / 2;
    }

    public static float getHalfUIHeight() {
        return getUIHeight() / 2;
    }

    public static float getUIScale() {
        return 1.5f / (Math.min(SCREEN_HEIGHT, SCREEN_WIDTH) / 400f);
    }

    public static void updateDimensions(int screenWidth, int screenHeight) {
        SCREEN_WIDTH = screenWidth;
        SCREEN_HEIGHT = screenHeight;
        WIDTH = (HEIGHT / SCREEN_HEIGHT) * SCREEN_WIDTH;
        HALF_WIDTH = WIDTH / 2;
    }

}
