package com.me.asteroids.components.model;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.graphics.glutils.ShapeRenderer;
import com.badlogic.gdx.math.Rectangle;
import com.badlogic.gdx.math.Vector2;

public interface Model {

    Color getColor();

    void setVertices(float[] vertices);

    float[] getVertices();

    void setPosition(Vector2 position);

    Vector2 getPosition();

    void setRotation(float degrees);

    float getRotation();

    void setScale(float scale);

    float getScale();

    Rectangle getBoundingBox();

    void render(ShapeRenderer render);

}
