package com.me.common;

public class Game {

    private Screen screen;
    private Screen nextScreen;

    public void update(float dt) {
        if (nextScreen != null) {
            handleScreeUpdate();
        }

        if (screen != null) {
            screen.update(dt);
        }
    }

    public void render() {
        if (screen != null) {
            screen.render();
        }
    }

    private void handleScreeUpdate() {
        if (screen != null) screen.dispose();

        nextScreen.setup();
        screen = nextScreen;
        nextScreen = null;
    }

    public void setNextScreen(Screen screen) {
        nextScreen = screen;
    }

    public void dispose() {
        screen.dispose();
    }

}
