package com.me.common.ecs;

class ComponentBag {

    private Component[] items;
    private int size;

    ComponentBag() {
        this.items = new Component[16];
        this.size = items.length;
    }

    Component get(int index) {
        if (index >= size) {
            return null;
        }
        return items[index];
    }

    void insert(int index, Component item) {
        if (index >= size) {
            grow((int) (index * 1.5f));
        }
        items[index] = item;
    }

    void remove(int index) {
        if (index < size) {
            items[index] = null;
        }
    }

    private void grow(int newSize) {
        Component[] newItems = new Component[newSize];
        System.arraycopy(this.items, 0, newItems, 0, size);
        size = newSize;
        this.items = newItems;
    }

}
